local llIsWow64ProcessExists, ;
	llIs64BitOS, ;
	lnIsWow64Process
declare long GetModuleHandle in Win32API string lpModuleName
declare long GetProcAddress  in Win32API long hModule, string lpProcName
llIsWow64ProcessExists = GetProcAddress(GetModuleHandle('kernel32'), ;
	'IsWow64Process') <> 0
if llIsWow64ProcessExists
	declare long GetCurrentProcess in Win32API
	declare long IsWow64Process    in Win32API long hProcess, long @Wow64Process
	lnIsWow64Process = 0
* IsWow64Process return value is non-zero if it succeeds
* The second output parameter value is non-zero if we're running under 64-bit OS
	if IsWow64Process(GetCurrentProcess(), @lnIsWow64Process) <> 0
		llIs64BitOS = lnIsWow64Process <> 0
	endif IsWow64Process(GetCurrentProcess(), @lnIsWow64Process) <> 0
endif llIsWow64ProcessExists
return llIs64BitOS
