#include GetLocaleInfo.h

lcDisplayName = GetLocaleInfo(LOCALE_SENGLISHDISPLAYNAME)
messagebox('My system is set for ' + lcDisplayName)

lcLocale   = 'de-DE'
lcDisplayNameEN = GetLocaleInfo(LOCALE_SENGLISHDISPLAYNAME, lcLocale)
lcDisplayNameDE = GetLocaleInfo(LOCALE_SNATIVEDISPLAYNAME, lcLocale)
messagebox('A German system uses ' + lcDisplayNameEN + ' (Native: ' + lcDisplayNameDE + ')')

lcFormat = GetLocaleInfo(LOCALE_SCURRENCY) + '9' + ;
	GetLocaleInfo(LOCALE_SMONTHOUSANDSEP) + ;
	'999' + GetLocaleInfo(LOCALE_SMONDECIMALSEP) + ;
	replicate('9', val(GetLocaleInfo(LOCALE_ICURRDIGITS)))
lcDate = GetLocaleInfo(LOCALE_SSHORTDATE)
messagebox('Default currency format: ' + lcFormat + chr(13) + ;
	'Default time format: ' + lcDate)

lcFormat = GetLocaleInfo(LOCALE_SCURRENCY, lcLocale) + '9' + ;
	GetLocaleInfo(LOCALE_SMONTHOUSANDSEP, lcLocale) + ;
	'999' + GetLocaleInfo(LOCALE_SMONDECIMALSEP, lcLocale) + ;
	replicate('9', val(GetLocaleInfo(LOCALE_ICURRDIGITS, lcLocale)))
lcDate = GetLocaleInfo(LOCALE_SSHORTDATE, lcLocale)
messagebox('German currency format: ' + lcFormat + chr(13) + ;
	'German time format: ' + lcDate)
